using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Web;

namespace HelloWorldLib
{
    [ServiceContract]
    public interface IHello
    {
        [OperationContract]
        string SayHello(string name);
    }

    [ServiceContract]
    public interface IGoodbye
    {
        [OperationContract]
        string SayGoodbye(string name);
    }

    public class HelloWorldService : IHello, IGoodbye
    {
        public string SayHello(string name)
        {
            return string.Format("Hello {0}!", name);
        }

        #region IGoodbye Members

        public string SayGoodbye(string name)
        {
            throw new NotImplementedException();
        }

        #endregion
    }

}
